Name:           manedit
Version:        0.5.11
Release:        0.fdr.1.2.2
Epoch:          0
Summary:        GUI editor for creating man pages. 

Group:          Development/Tools
License:        GPL
URL:            http://wolfpack.twu.net/ManEdit/
Source0:        ftp://wolfpack.twu.net/users/wolfpack/manedit-0.5.11.tar.bz2
Source1:        manedit.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk+-devel zlib-devel desktop-file-utils
Requires:	groff

%description
ManEdit is a UNIX Manual Page Integrated Development Environment.
It has full UNIX manual page editing capabilities using an XML
interface with instant preview. ManEdit uses the GTK+ widget set
and requires the X Window Systems.

%prep
%setup -q
perl -pi -e "s|/usr/man|%{_mandir}|" manedit/pref.c
perl -pi -e "s|/usr/man|%{_mandir}|" manedit/prefcb.c

%build
#manedit uses some weird configuration system
CFLAGS=$RPM_OPT_FLAGS ./configure Linux --prefix=%{_prefix}  --mandir=%{_mandir} \
--disable=arch-i486 --disable=arch-i586 --disable=arch-i686 --disable=arch-pentiumpro
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
make  MAN_DIR=$RPM_BUILD_ROOT/%{_mandir}/man1/ PREFIX=$RPM_BUILD_ROOT/%{_prefix} install


%{__install} -d -m0755 $RPM_BUILD_ROOT/%{_datadir}/applications
desktop-file-install --vendor fedora                   \
	--add-category X-Fedora                        \
	--add-category Application                     \
	--add-category Development                     \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications \
%SOURCE1
                                                                                                                                             
%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc AUTHORS LICENSE  README 
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/icons/*
%{_mandir}/man1/*
%{_datadir}/applications/*
 
%changelog
* Sat Oct 3 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.11-0.fdr.1
- Update to 0.5.11
* Thu Oct 2 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.10-0.fdr.2
- Put .desktop in its own file
- Save .spec file as utf-8
- use mainstream tar.bz2 instead of tgz
* Wed Aug 27 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.10-0.fdr.1
- Initial RPM for Fedora

